Name:           tiled
Version:        1.9.2
Release:        %mkrel 1
Summary:        Tiled Map Editor
# tiled itself is GPLv2+, libtiled and tmxviewer are BSD
License:        GPLv2+ and BSD
Group:          Graphics/Editors and Converters
URL:            https://www.mapeditor.org/
Source0:        https://github.com/mapeditor/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		tiled-disable-update-check.patch

# don't add provides for plugin .so
%define __provides_exclude_from        %{_libdir}/%{name}/plugins/.*\\.so

BuildRequires: qbs

BuildRequires: pkgconfig(python3)
BuildRequires: pkgconfig(Qt5Concurrent)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: qttools5

# TODO: Build with Qt6 for mageia 10
%description
Tiled is a general purpose tile map editor. It is built to be easy to use,
yet flexible enough to work with varying game engines, whether your game
is an RPG, platformer or Breakout clone. Tiled is free software and written
in C++, using the Qt application framework.

This package contains the tiled application and tmxviewer, a simple application
to view Tiled maps.

%package devel
Summary:        Development headers for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description devel
Development headers for the Tiled map editor.

%package plugin-python
Summary:        Python plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-python
A plugin for tiled which allows to write Python plugins.

%define pluginwarning Warning: This plugin does not offer full compatibility with Tileds features.

%package plugin-rpmap

Summary:        MapTool plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-rpmap
A plugin for tiled which allows to save maps as rpmap MapTool maps.

%{pluginwarning}

%package plugin-tbin
Summary:        tBIN plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-tbin
A plugin for tiled which allows support for the tBIN map format.

%{pluginwarning}

%package plugin-droidcraft
Summary:        Droidcraft plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-droidcraft
A plugin for tiled which allows to save maps as .dat droidcraft maps.

%{pluginwarning}

%package plugin-flare
Summary:        Flare plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-flare
A plugin for tiled which allows to save maps as .txt flare maps.

%{pluginwarning}

%package plugin-replica-island
Summary:        Replica Island plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-replica-island
A plugin for tiled which allows to save maps as .bin Replica Island maps.

%{pluginwarning}

%package plugin-t-engine4
Summary:        T-Engine4 plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-t-engine4
A plugin for tiled which allows to export maps as .lua T-Engine4 maps.

%{pluginwarning}

%package plugin-defold
Summary:        Defold plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-defold
A plugin for tiled which allows to export maps as .tilemap Defold maps.

%{pluginwarning}

%package plugin-gmx
Summary:        GameMaker Studio 1.4 plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-gmx
A plugin for tiled which allows to export maps
as GameMaker Studio 1.4 room files (.gmx).

%{pluginwarning}

%package plugin-yy
Summary:        GameMaker Studio 2.3 plugin for Tiled
License:        GPLv2+
URL:            https://www.mapeditor.org/
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description plugin-yy
A plugin for tiled which allows to export maps
as GameMaker Studio 2.3 room files (.yy).

%{pluginwarning}

%prep
%autosetup -p1

# Remove copy of zlib
rm -rf src/zlib

%build
qbs setup-toolchains --detect
qbs setup-qt --detect
qbs build qbs.installPrefix:"%{_prefix}" projects.Tiled.useRPaths:false projects.Tiled.installHeaders:true

%install
qbs qbs.installPrefix:"%{_prefix}" projects.Tiled.useRPaths:false projects.Tiled.installHeaders:true
qbs install --install-root %{buildroot}

# Clean build artefacts
find -name ".uic" -or -name ".moc" -or -name ".rcc" -delete

# locale files
%find_lang %{name} --with-qt

# Removed development file (this version does not install headers anyway)
# rm %{buildroot}/%{_libdir}/lib%{name}.so

# Hack: qbs always installs to usr/lib, move libraries if _libdir is different
# See also:
#  https://www.qt.io/blog/2018/10/29/deprecation-of-qbs
#  https://github.com/mapeditor/tiled/issues/3397
mkdir -p %{buildroot}%{_libdir}
[ "%{buildroot}%{_prefix}/lib" = "%{buildroot}%{_libdir}" ] || mv -v %{buildroot}%{_prefix}/lib/* %{buildroot}%{_libdir}

%files -f %{name}.lang
%doc AUTHORS NEWS.md README.md COPYING LICENSE.GPL LICENSE.BSD
%{_bindir}/%{name}
%{_bindir}/terraingenerator
%{_bindir}/tmxrasterizer
%{_bindir}/tmxviewer
%{_datadir}/icons/hicolor/*/apps/*%{name}*
%{_datadir}/icons/hicolor/*/mimetypes/*%{name}*
%{_datadir}/applications/org.mapeditor.Tiled.desktop
%{_datadir}/metainfo/org.mapeditor.Tiled.appdata.xml
%{_datadir}/mime/packages/org.mapeditor.Tiled.xml
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations
%{_libdir}/lib%{name}*

%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/

# Core plugins
%{_libdir}/%{name}/plugins/libcsv.so
%{_libdir}/%{name}/plugins/libgmx.so
%{_libdir}/%{name}/plugins/libjson.so
%{_libdir}/%{name}/plugins/liblua.so
%{_libdir}/%{name}/plugins/libjson1.so
%{_libdir}/%{name}/plugins/libdefoldcollection.so

%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/tmxrasterizer.1*
%{_mandir}/man1/tmxviewer.1*
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/%{name}.thumbnailer

%files devel
%{_includedir}/%{name}/

%files plugin-rpmap
%{_libdir}/%{name}/plugins/librpmap.so

%files plugin-python
%{_libdir}/%{name}/plugins/libpython.so

%files plugin-tbin
%{_libdir}/%{name}/plugins/libtbin.so

%files plugin-droidcraft
%{_libdir}/%{name}/plugins/libdroidcraft.so

%files plugin-flare
%{_libdir}/%{name}/plugins/libflare.so

%files plugin-replica-island
%{_libdir}/%{name}/plugins/libreplicaisland.so

%files plugin-t-engine4
%{_libdir}/%{name}/plugins/libtengine.so

%files plugin-defold
%{_libdir}/%{name}/plugins/libdefold.so

%files plugin-gmx
%{_libdir}/%{name}/plugins/libgmx.so

%files plugin-yy
%{_libdir}/%{name}/plugins/libyy.so



%changelog
* Sun Dec 04 2022 neoclust <neoclust> 1.9.2-1.mga9
+ Revision: 1917013
- New version 1.9.2

* Thu Apr 21 2022 wally <wally> 1.8.4-1.mga9
+ Revision: 1852532
- new version 1.8.4

* Tue Apr 05 2022 umeabot <umeabot> 1.7.2-4.mga9
+ Revision: 1844135
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tmb <tmb> 1.7.2-3.mga9
+ Revision: 1774915
- rebuild for python 3.10

* Fri Jan 07 2022 wally <wally> 1.7.2-2.mga9
+ Revision: 1767271
- add patch to disable upstream update check

* Mon Jan 03 2022 wally <wally> 1.7.2-1.mga9
+ Revision: 1766421
- new version 1.7.2

* Wed Mar 24 2021 tv <tv> 1.4.3-4.mga9
+ Revision: 1708860
- rebuild for python 3.9

* Wed Mar 24 2021 daviddavid <daviddavid> 1.4.3-3.mga9
+ Revision: 1708618
- rebuild for python 3.9

* Thu Dec 17 2020 umeabot <umeabot> 1.4.3-2.mga8
+ Revision: 1660023
- Rebuild for new Qt5

* Mon Nov 23 2020 akien <akien> 1.4.3-1.mga8
+ Revision: 1648834
- Version 1.4.3

* Sun Oct 25 2020 akien <akien> 1.4.2-1.mga8
+ Revision: 1639164
- Version 1.4.2

* Fri Jul 24 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1608736
- new version: 1.4.1

* Wed Feb 19 2020 umeabot <umeabot> 1.3.2-2.mga8
+ Revision: 1543916
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 akien <akien> 1.3.2-1.mga8
+ Revision: 1482365
- Version 1.3.2

* Thu Oct 17 2019 daviddavid <daviddavid> 1.2.5-1.mga8
+ Revision: 1454348
- new version: 1.2.5

* Wed Oct 16 2019 daviddavid <daviddavid> 1.2.4-2.mga8
+ Revision: 1454209
- fix python3.8 linking issue
- rebuild for python3.8

* Sun May 19 2019 akien <akien> 1.2.4-1.mga7
+ Revision: 1398509
- Version 1.2.4

* Sun Apr 21 2019 akien <akien> 1.2.3-1.mga7
+ Revision: 1394547
- Version 1.2.3

* Tue Apr 02 2019 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1385085
- Qt5 Rebuild

* Thu Feb 07 2019 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1363765
- new version: 1.2.2

* Tue Jan 08 2019 tv <tv> 1.2.1-2.mga7
+ Revision: 1351601
- rebuild with python 3.7

* Tue Jan 01 2019 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1348010
- new version: 1.2.1

* Thu Sep 20 2018 akien <akien> 1.2.0-1.mga7
+ Revision: 1289208
- Version 1.2.0

* Wed Jul 18 2018 akien <akien> 1.1.6-1.mga7
+ Revision: 1244152
- Version 1.1.6

* Sat Jun 02 2018 daviddavid <daviddavid> 1.1.5-1.mga7
+ Revision: 1233555
- new version: 1.1.5

* Sun Apr 22 2018 wally <wally> 1.1.4-1.mga7
+ Revision: 1220892
- new version 1.1.4

* Sat Mar 17 2018 wally <wally> 1.1.3-1.mga7
+ Revision: 1210131
- new version 1.1.3

* Sat Oct 07 2017 wally <wally> 1.0.3-1.mga7
+ Revision: 1169978
- new version 1.0.3

* Thu Jun 29 2017 akien <akien> 1.0.2-1.mga6
+ Revision: 1108649
- Version 1.0.2

* Sun May 28 2017 akien <akien> 1.0.0-2.mga6
+ Revision: 1105373
- Rebuild for ARM

* Sun May 28 2017 akien <akien> 1.0.0-1.mga6
+ Revision: 1105310
- Version 1.0.0

* Fri Jan 27 2017 akien <akien> 0.18.1-1.mga6
+ Revision: 1083648
- Version 0.18.1

* Mon Nov 28 2016 akien <akien> 0.17.2-1.mga6
+ Revision: 1070689
- Version 0.17.2

* Sat Nov 05 2016 akien <akien> 0.17.1-1.mga6
+ Revision: 1065437
- Version 0.17.1

* Sat May 21 2016 wally <wally> 0.16.1-1.mga6
+ Revision: 1017353
- new version 0.16.1

* Sun Apr 10 2016 wally <wally> 0.16.0-1.mga6
+ Revision: 1000017
- new version 0.16.0

* Sun Mar 13 2016 wally <wally> 0.15.2-1.mga6
+ Revision: 990303
- new version 0.15.2
- enable python plugin

* Wed Feb 17 2016 umeabot <umeabot> 0.14.2-2.mga6
+ Revision: 963058
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 wally <wally> 0.14.2-1.mga6
+ Revision: 891758
- new version 0.14.2

* Tue Sep 22 2015 wally <wally> 0.14.0-1.mga6
+ Revision: 882203
- new version 0.14.0

* Wed Sep 09 2015 wally <wally> 0.13.1-1.mga6
+ Revision: 875285
- new version 0.13.1

* Thu Aug 13 2015 wally <wally> 0.13.0-1.mga6
+ Revision: 864470
- new version 0.13.0
- switch to Qt5

* Sun Jun 21 2015 wally <wally> 0.12.3-1.mga6
+ Revision: 837905
- new version 0.12.3

* Sat Jun 20 2015 wally <wally> 0.12.2-1.mga6
+ Revision: 836450
- new version 0.12.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 742723
- Second Mageia 5 Mass Rebuild

* Sat Sep 20 2014 umeabot <umeabot> 0.9.1-3.mga5
+ Revision: 697486
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.1-2.mga4
+ Revision: 531157
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 wally <wally> 0.9.1-1.mga4
+ Revision: 462311
- new version 0.9.1

* Thu May 23 2013 wally <wally> 0.9.0-1.mga4
+ Revision: 424996
- new version 0.9.0
- drop upstreamed rpath patch
- use .desktop file from upstream

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 384576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Editors -> Graphics/Editors and Converters

* Wed Oct 17 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 307741
- import tiled based on .spec from Fedora

